## ros-rolling-turtlesim 1.7.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(turtlesim)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(Qt5 REQUIRED COMPONENTS Widgets)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)

include_directories(include ${Qt5Widgets_INCLUDE_DIRS})

rosidl_generate_interfaces(${PROJECT_NAME}
  "action/RotateAbsolute.action"
  "msg/Color.msg"
  "msg/Pose.msg"
  "srv/Kill.srv"
  "srv/SetPen.srv"
  "srv/Spawn.srv"
  "srv/TeleportAbsolute.srv"
  "srv/TeleportRelative.srv")

set(dependencies "ament_index_cpp" "geometry_msgs" "rclcpp" "rclcpp_action" "std_msgs" "std_srvs")

set(turtlesim_node_SRCS
  src/turtlesim.cpp
  src/turtle.cpp
  src/turtle_frame.cpp
)
set(turtlesim_node_HDRS
  include/turtlesim/turtle_frame.hpp
)

qt5_wrap_cpp(turtlesim_node_MOCS ${turtlesim_node_HDRS})

rosidl_get_typesupport_target(cpp_typesupport_target "${PROJECT_NAME}" "rosidl_typesupport_cpp")

add_executable(turtlesim_node ${turtlesim_node_SRCS} ${turtlesim_node_MOCS})
target_link_libraries(turtlesim_node Qt5::Widgets)
ament_target_dependencies(turtlesim_node ${dependencies})
target_link_libraries(turtlesim_node "${cpp_typesupport_target}")

add_executable(turtle_teleop_key tutorials/teleop_turtle_key.cpp)
ament_target_dependencies(turtle_teleop_key ${dependencies})
target_link_libraries(turtle_teleop_key "${cpp_typesupport_target}")
add_executable(draw_square tutorials/draw_square.cpp)
ament_target_dependencies(draw_square ${dependencies})
target_link_libraries(draw_square "${cpp_typesupport_target}")
add_executable(mimic tutorials/mimic.cpp)
ament_target_dependencies(mimic ${dependencies})
target_link_libraries(mimic "${cpp_typesupport_target}")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(TARGETS turtlesim_node turtle_teleop_key draw_square mimic
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY images
  DESTINATION share/${PROJECT_NAME}
  FILES_MATCHING PATTERN "*.png" PATTERN "*.svg")

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME})

ament_package()

## ros-rolling-turtlesim 1.4.1

=== debian/changelog ===
ros-rolling-turtlesim (1.4.1-1focal) focal; urgency=high

  * Use ``double`` when handling ``qreal orient\_`` (#114 <https://github.com/ros/ros_tutorials/issues/114>)
  * Add Rolling Icon (#133 <https://github.com/ros/ros_tutorials/issues/133>)
  * Contributors: Katherine Scott, Seulbae Kim

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-turtlesim (1.4.0-1focal) focal; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#137 <https://github.com/ros/ros_tutorials/issues/137>)
  * Fixing deprecated subscriber callback warnings (#134 <https://github.com/ros/ros_tutorials/issues/134>)
  * Use rosidl_get_typesupport_target() (#132 <https://github.com/ros/ros_tutorials/issues/132>)
  * Print out the correct node name on startup. (#122 <https://github.com/ros/ros_tutorials/issues/122>)
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Chris Lalancette, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-turtlesim (1.3.3-1focal) focal; urgency=high

  * Added galactic turtle icon. (#123 <https://github.com/ros/ros_tutorials/issues/123>)
  * Heavily cleanup teleop_turtle_key. (#121 <https://github.com/ros/ros_tutorials/issues/121>)
  * Contributors: Chris Lalancette, Katherine Scott

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 21 May 2021 07:00:00 -0000

ros-rolling-turtlesim (1.3.2-1focal) focal; urgency=high

  * Ignore key up events in teleop_turtle_key on Windows (#118 <https://github.com/ros/ros_tutorials/issues/118>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 16 Apr 2021 07:00:00 -0000

ros-rolling-turtlesim (1.3.1-1focal) focal; urgency=high

  * Update maintainers (#106 <https://github.com/ros/ros_tutorials/issues/106>)
  * Contributors: Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-turtlesim (1.3.0-1focal) focal; urgency=high

  * Update goal response callback signature (#100 <https://github.com/ros/ros_tutorials/issues/100>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.5-1focal) focal; urgency=high

  * add holonomic motion for turtlesim (#98 <https://github.com/ros/ros_tutorials/issues/98>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 05 Aug 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.4-1focal) focal; urgency=high

  * add step value to turtlesim color parameters (#91 <https://github.com/ros/ros_tutorials/issues/91>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Jun 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.3-1focal) focal; urgency=high

  * update Foxy turtle (#90 <https://github.com/ros/ros_tutorials/issues/90>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Jun 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.2-1focal) focal; urgency=high

  * add Foxy turtle (#89 <https://github.com/ros/ros_tutorials/issues/89>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.1-1focal) focal; urgency=high

  * Fix Qt deprecation warning (#88 <https://github.com/ros/ros_tutorials/issues/88>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.0-1focal) focal; urgency=high

  * Replace deprecated launch_ros usage (#84 <https://github.com/ros/ros_tutorials/issues/84>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 May 2020 07:00:00 -0000

ros-rolling-turtlesim (1.1.1-1focal) focal; urgency=high

  * catch reference to fix -Wcatch-value warning (#78 <https://github.com/ros/ros_tutorials/issues/78>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2020 07:00:00 -0000

ros-rolling-turtlesim (1.1.0-1focal) focal; urgency=high

  * Eloquent Elusor turtle icon (#77 <https://github.com/ros/ros_tutorials/issues/77>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 Nov 2019 08:00:00 -0000

ros-rolling-turtlesim (1.0.2-1focal) focal; urgency=high

  * separate background color from drawn paths, trigger repaint on parameter changes (#75 <https://github.com/ros/ros_tutorials/issues/75>)
  * add descriptor information for background color parameters (#73 <https://github.com/ros/ros_tutorials/issues/73>)
  * Fix Windows compiler warning (#69 <https://github.com/ros/ros_tutorials/issues/69>)
  * Change log messages to use 'goal' instead of 'action' (#67 <https://github.com/ros/ros_tutorials/issues/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-turtlesim (1.0.1-1focal) focal; urgency=high

  * fix mimic tutorial node (#65 <https://github.com/ros/ros_tutorials/issues/65>)
  * fix syntax error in teleop_turtle_key.cpp on Windows (#66 <https://github.com/ros/ros_tutorials/issues/66>)
  * add RotateAbsolute action (#62 <https://github.com/ros/ros_tutorials/issues/62>)
  * fix typo in error message (#64 <https://github.com/ros/ros_tutorials/issues/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Oct 2019 07:00:00 -0000

ros-rolling-turtlesim (1.0.0-1focal) focal; urgency=high

  * replace images with ROS 2 turtles (#60 <https://github.com/ros/ros_tutorials/issues/60>)
  * add shortcut to quit teleop (#58 <https://github.com/ros/ros_tutorials/issues/58>)
  * fix compiler warnings on Windows (#57 <https://github.com/ros/ros_tutorials/issues/57>)
  * add support for Windows (#56 <https://github.com/ros/ros_tutorials/issues/56>)
  * various fixes for ROS 2 (#55 <https://github.com/ros/ros_tutorials/issues/55>)
  * turtlesim for ROS 2 (#53 <https://github.com/ros/ros_tutorials/issues/53>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Sep 2019 07:00:00 -0000

ros-rolling-turtlesim (0.9.1-1focal) focal; urgency=high

  * change formula to avoid rounding with extreme input values (#51 <https://github.com/ros/ros_tutorials/issues/51>)


=== debian/control ===
Source: ros-rolling-turtlesim
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qt5-qmake, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-index-cpp, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/turtlesim
Standards-Version: 3.9.2

Package: ros-rolling-turtlesim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, ros-rolling-ament-index-cpp, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace
Description: turtlesim is a tool made for teaching ROS and ROS packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-turtlesim//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-turtlesim 1.7.3

=== debian/changelog ===
ros-rolling-turtlesim (1.7.3-1jammy) jammy; urgency=high

  * Remove the unused member variable last_state_ (#156 <https://github.com/ros/ros_tutorials/issues/156>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-turtlesim (1.7.2-1jammy) jammy; urgency=high

  * Added common tests (#154 <https://github.com/ros/ros_tutorials/issues/154>)
  * Heavy cleanup of the draw_square tutorial. (#152 <https://github.com/ros/ros_tutorials/issues/152>)
    * Heavy cleanup of the draw_square tutorial.
    In particular:
    1. Make it conform to the current ROS 2 style.
    2. Add in copyright information.
    3. Refactor the entire code into a class, which tidies it
    up quite a bit and removes a bunch of globals.
    4. Make sure to wait for the reset to complete before trying
    to move the turtle.
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Jun 2023 00:00:00 -0000

ros-rolling-turtlesim (1.7.1-1jammy) jammy; urgency=high

  * Remove the range constraints from the holonomic parameter. (#150 <https://github.com/ros/ros_tutorials/issues/150>)
  * Add icon (#148 <https://github.com/ros/ros_tutorials/issues/148>)
  * Contributors: Chris Lalancette, Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-turtlesim (1.7.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-turtlesim (1.6.0-1jammy) jammy; urgency=high

  * Update turtlesim to C++17. (#146 <https://github.com/ros/ros_tutorials/issues/146>)
  * [rolling] Update maintainers - 2022-11-07 (#145 <https://github.com/ros/ros_tutorials/issues/145>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-turtlesim (1.5.0-1jammy) jammy; urgency=high

  * Add parameter to enable holonomic motion (#131 <https://github.com/ros/ros_tutorials/issues/131>)
  * Add humble turtle (#140 <https://github.com/ros/ros_tutorials/issues/140>)
  * Contributors: Audrow Nash, Daisuke Sato

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-turtlesim (1.4.1-1jammy) jammy; urgency=high

  * Use ``double`` when handling ``qreal orient\_`` (#114 <https://github.com/ros/ros_tutorials/issues/114>)
  * Add Rolling Icon (#133 <https://github.com/ros/ros_tutorials/issues/133>)
  * Contributors: Katherine Scott, Seulbae Kim

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-turtlesim (1.4.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#137 <https://github.com/ros/ros_tutorials/issues/137>)
  * Fixing deprecated subscriber callback warnings (#134 <https://github.com/ros/ros_tutorials/issues/134>)
  * Use rosidl_get_typesupport_target() (#132 <https://github.com/ros/ros_tutorials/issues/132>)
  * Print out the correct node name on startup. (#122 <https://github.com/ros/ros_tutorials/issues/122>)
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-turtlesim (1.3.3-1jammy) jammy; urgency=high

  * Added galactic turtle icon. (#123 <https://github.com/ros/ros_tutorials/issues/123>)
  * Heavily cleanup teleop_turtle_key. (#121 <https://github.com/ros/ros_tutorials/issues/121>)
  * Contributors: Chris Lalancette, Katherine Scott

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 21 May 2021 00:00:00 -0000

ros-rolling-turtlesim (1.3.2-1jammy) jammy; urgency=high

  * Ignore key up events in teleop_turtle_key on Windows (#118 <https://github.com/ros/ros_tutorials/issues/118>)
  * Contributors: Michel Hidalgo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 16 Apr 2021 00:00:00 -0000

ros-rolling-turtlesim (1.3.1-1jammy) jammy; urgency=high

  * Update maintainers (#106 <https://github.com/ros/ros_tutorials/issues/106>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-turtlesim (1.3.0-1jammy) jammy; urgency=high

  * Update goal response callback signature (#100 <https://github.com/ros/ros_tutorials/issues/100>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.5-1jammy) jammy; urgency=high

  * add holonomic motion for turtlesim (#98 <https://github.com/ros/ros_tutorials/issues/98>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.4-1jammy) jammy; urgency=high

  * add step value to turtlesim color parameters (#91 <https://github.com/ros/ros_tutorials/issues/91>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.3-1jammy) jammy; urgency=high

  * update Foxy turtle (#90 <https://github.com/ros/ros_tutorials/issues/90>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jun 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.2-1jammy) jammy; urgency=high

  * add Foxy turtle (#89 <https://github.com/ros/ros_tutorials/issues/89>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.1-1jammy) jammy; urgency=high

  * Fix Qt deprecation warning (#88 <https://github.com/ros/ros_tutorials/issues/88>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.0-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-turtlesim
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qt5-qmake, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/turtlesim
Standards-Version: 3.9.2

Package: ros-rolling-turtlesim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, ros-rolling-ament-index-cpp, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace
Description: turtlesim is a tool made for teaching ROS and ROS packages.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
